# GpgFrontend Project: GpgFrontend::UI::SoftwareVersion Struct Reference

GpgFrontend::UI::SoftwareVersion Struct Reference
Collaboration diagram for GpgFrontend::UI::SoftwareVersion:

## Public Member Functions

bool | InfoValid () const
bool | NeedUpgrade () const
bool | VersionWithDrawn () const
bool | CurrentVersionReleased () const

## Public Attributes

std::string | latest_version
std::string | current_version
bool | latest_prerelease = false
bool | latest_draft = false
bool | current_prerelease = false
bool | current_draft = false
bool | load_info_done = false
bool | current_version_found = false
std::string | publish_date
std::string | release_note

## Static Private Member Functions

static int | version_compare (const std::string &a, const std::string &b)

## Member Function Documentation

## CurrentVersionReleased()

bool GpgFrontend::UI::SoftwareVersion::CurrentVersionReleased | ( |  | ) | const

Returns
  true
  false

Referenced by GpgFrontend::UI::UpdateTab::slot_show_version_status(), and GpgFrontend::UI::MainWindow::slot_version_upgrade().

## InfoValid()

bool GpgFrontend::UI::SoftwareVersion::InfoValid | ( |  | ) | const

inline

Returns
  true
  false

Referenced by GpgFrontend::UI::MainWindow::slot_version_upgrade().

## NeedUpgrade()

bool GpgFrontend::UI::SoftwareVersion::NeedUpgrade | ( |  | ) | const

Returns
  true
  false

Referenced by GpgFrontend::UI::UpdateTab::slot_show_version_status(), and GpgFrontend::UI::MainWindow::slot_version_upgrade().

## version_compare()

int GpgFrontend::UI::SoftwareVersion::version_compare | ( | const std::string & | a,
|  | const std::string & | b
| ) |  |

staticprivate

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## VersionWithDrawn()

bool GpgFrontend::UI::SoftwareVersion::VersionWithDrawn | ( |  | ) | const

Returns
  true
  false

Referenced by GpgFrontend::UI::UpdateTab::slot_show_version_status(), and GpgFrontend::UI::MainWindow::slot_version_upgrade().

The documentation for this struct was generated from the following files:

- src/ui/struct/SoftwareVersion.h
- src/ui/struct/SoftwareVersion.cpp